---
sidebar_label: Metrics
---

# Metrics interface

#### Signature:

```typescript
export interface Metrics
```

## Properties

| Property            | Modifiers             | Type   | Description | Default |
| ------------------- | --------------------- | ------ | ----------- | ------- |
| Documents           | <code>optional</code> | number |             |         |
| Frames              | <code>optional</code> | number |             |         |
| JSEventListeners    | <code>optional</code> | number |             |         |
| JSHeapTotalSize     | <code>optional</code> | number |             |         |
| JSHeapUsedSize      | <code>optional</code> | number |             |         |
| LayoutCount         | <code>optional</code> | number |             |         |
| LayoutDuration      | <code>optional</code> | number |             |         |
| Nodes               | <code>optional</code> | number |             |         |
| RecalcStyleCount    | <code>optional</code> | number |             |         |
| RecalcStyleDuration | <code>optional</code> | number |             |         |
| ScriptDuration      | <code>optional</code> | number |             |         |
| TaskDuration        | <code>optional</code> | number |             |         |
| Timestamp           | <code>optional</code> | number |             |         |
